Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034406
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajoralways2016-11-07 10:272016-11-11 08:25
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision65e9c589a623
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034406: Add ability to evaluate Display Logic at Server Level

DescriptionAs of now, the Display Logic functionality is evaluated on the Client side based on the data retrieved.
If the field should not be shown, the application shows an empty space instead.
For some functionalities, that are defined at System Level, this is not the best behavior, it would be better not to show this empty space.
For that, the display logic should be evaluated at System Level when the code of the Window is generated.
Steps To ReproduceAs of now, the Display Logic functionality is evaluated on the Client side based on the data retrieved.
If the field should not be shown, the application shows an empty space instead.
For some functionalities, that are defined at System Level, this is not the best behavior, it would be better not to show this empty space.
For that, the display logic should be evaluated at System Level when the code of the Window is generated.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036474 newTriage Finance [PR17Q3] Alternate Unit of Measure shows wrong fields in grid view 
related to defect 0031870 closedplatform preference "Use classic popup tree" requires to clean cache 
causes defect 0038066 closedalostale incorrect view cache in browser for windows with server display logic 

-  Notes
(0091349)
alostale (developer)
2016-11-11 08:25

code reviewed and tested within project: http://wiki.openbravo.com/wiki/Projects:Display_Logic_Evaluated_At_Server_Level [^]

- Issue History
Date Modified Username Field Change
2016-11-07 10:27 dmiguelez New Issue
2016-11-07 10:27 dmiguelez Assigned To => platform
2016-11-07 10:27 dmiguelez Modules => Core
2016-11-07 10:27 dmiguelez Triggers an Emergency Pack => No
2016-11-11 07:48 alostale Assigned To platform => dmiguelez
2016-11-11 08:24 alostale Review Assigned To => alostale
2016-11-11 08:24 alostale Status new => scheduled
2016-11-11 08:25 alostale Note Added: 0091349
2016-11-11 08:25 alostale Status scheduled => resolved
2016-11-11 08:25 alostale Fixed in Version => 3.0PR17Q1
2016-11-11 08:25 alostale Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/65e9c589a623 [^]
2016-11-11 08:25 alostale Resolution open => fixed
2016-11-11 08:25 alostale Status resolved => closed
2017-07-14 11:47 alostale Relationship added related to 0036474
2017-09-14 16:40 caristu Relationship added related to 0031870
2018-03-07 13:55 alostale Relationship added causes 0038066


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker